> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer By Reference

> Get details of a particular transfer by its reference id.



## OpenAPI

````yaml openapi.json GET /transfers/reference/{reference}
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/reference/{reference}:
    get:
      description: Get details of a particular transfer by its reference id.
      operationId: TransactionReference
      parameters:
        - name: reference
          in: path
          required: true
          description: >-
            This is the reference id of the transfer that you made on your
            account using what's in the 'reference' and not 'spotflowReference.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferDetailsResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionError401'
components:
  schemas:
    TransferDetailsResponse:
      type: object
      properties:
        reference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        spotflowreference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        amount:
          type: number
          format: int32
          example: 0
        currency:
          type: string
          example: NGN
        transferMode:
          type: string
          example: '7706438396'
        destination:
          type: object
          properties:
            accountNumber:
              type: string
              example: '7706438396'
            accountName:
              type: string
              example: Quantum Technologies
            bankCode:
              type: string
              example: NGN100
            branchCode:
              type: string
              example: NGN100
            bankName:
              type: string
              example: Testbank MFB
        narrations:
          type: string
          example: string
        status:
          type: string
          example: string
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    SubscriptionError401:
      type: object
      properties:
        code:
          type: string
          example: AUTH_ERROR
        message:
          type: string
          example: Authorization token is required.
        statusCode:
          type: integer
          format: float
          example: 401
        requestMarker:
          type: string
          format: uuid
      required:
        - status
        - statusCode
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````